Skip to content

Add message

Request

Add a message to a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
If attachments are added to the message, they will be copied and stored in Dixa.
Supported channels are Chat, Messenger, Contact Form, Email, Sms (outbound only), Whatsapp (outbound and Markdown only).

Supported Markdown syntax for Markdown content: bold **text**, italic *text*, bold & italic ***text***, strikethrough ~text~, blockquote > Quoted text. \n Message about quoted text, ordered list List:\n1. Item\n2. Item\n3. Item, unordered list List:\n* Item\n* Item\n* Item, inline code This is `code`.

Whatsapp channel:
Only one attachment is allowed per WhatsApp message.
Supports the following file types for attachments: .jpg, .jpeg, .png, .pdf, .doc, .docx, .pptx, .xlsx

Security
ApiKeyAuth(Required scopes: conversation.reply)
Path
conversationIdinteger, (int64)required
Bodyapplication/jsonrequired

The message to be added to a conversation

One of:

Only Outbound messages are supported for Sms and Whatsapp.

contentHtml (object) or Markdown (object) or Text (object)(Content)required
One of:
attachmentsArray of objects(File)
integrationEmailstring

Internal email address registered for the integration with format: <email-address>@email.dixa.io

externalIdstring

Client generated identifier for external reference

POST
/v1/conversations/{conversationId}/messages
curl -i -X POST \
  'https://dev.dixa.io/v1/conversations/{conversationId}/messages' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "content": {
      "value": "I need some help!",
      "_type": "Html"
    },
    "attachments": [
      {
        "url": "http://attachment.url",
        "prettyName": "Filename"
      }
    ],
    "_type": "Inbound"
  }'

Responses

The added message

Bodyapplication/json
dataobject(CreateMessageOutputData)required
Response
{ "data": { "content": { … }, "direction": "Outbound", "authorId": "bac5a02c-15b3-44da-ae1e-ab7b9db4aa89", "messageId": "87bac308-e49f-4134-84cc-96b868f1e1e4", "createdAt": "2021-06-09T08:18:37.284Z" } }